package com.hchyun.generator.dao;

import com.hchyun.common.core.entity.entity.SysMenu;
import com.hchyun.generator.entity.UniCon;
import com.hchyun.generator.entity.UniQuery;

import java.util.List;
import java.util.Map;

/**
 * @Author 18209
 * @Date 2021/1/30 18:52
 * @Version 1.0
 */
public interface QueryDao {

    UniQuery selectQueryInfo(Long id);

    Integer updateQueryInfo(UniQuery uniQuery);

    Integer deleteUniCon(Long uqId);

    Integer insertUniCon(List<UniCon> uniCons);

    List<Map<String,Object>> UniQuery(String paramSQL);

    List<UniCon> queryRealInfo(Long id);

    Integer Release(Long id);

    Integer changeRelease(UniQuery uniQuery);

    Integer insertMenu(SysMenu sysMenu);

    Integer deleteMenu(String path);

}
